# $Revision: 1.46 $, $Date: 2012/05/25 15:49:35 $
Summary:	Flexible, extensible, and powerful assistive technology
Summary(pl.UTF-8):	Elastyczna, rozszerzalna i potężna technologia wspomagająca
Name:		orca
Version:	3.4.2
Release:	2
License:	LGPL v2+
Group:		X11/Applications/Accessibility
Source0:	http://ftp.gnome.org/pub/GNOME/sources/orca/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	26adb33a6c82275e4019bcc5b25cff68
URL:		http://www.gnome.org/projects/orca/
BuildRequires:	at-spi2-core-devel >= 2.3.5
BuildRequires:	autoconf
BuildRequires:	automake >= 1.11
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	gnome-doc-utils >= 0.18.0
BuildRequires:	gtk+3-devel >= 3.2.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-brlapi >= 3.8
BuildRequires:	python-dbus
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-pyatspi >= 2.3.5
BuildRequires:	python-pycairo-devel
BuildRequires:	python-pygobject3-devel >= 3.0.2
BuildRequires:	python-pyxdg
BuildRequires:	python-speech-dispatcher
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires:	gnome-speech-driver
Requires:	hicolor-icon-theme
Requires:	python-brlapi >= 3.8
Requires:	python-dbus
Requires:	python-pyatspi >= 2.3.5
Requires:	python-pycairo
Requires:	python-pygobject3 >= 3.0.2
Requires:	python-pyxdg
Requires:	python-speech-dispatcher
Provides:	gnopernicus
Obsoletes:	gnopernicus
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Orca is a flexible, extensible, and powerful assistive technology for
people with visual impairments. Using various combinations of speech
synthesis, braille, and magnification, Orca helps provide access to
applications and toolkits that support the AT-SPI (e.g., the GNOME
desktop).

%description -l pl.UTF-8
Orca to elastyczna, rozszerzalna i potężna technologia wspomagająca
dla ludzi z zaburzeniami widzenia. Przy użyciu różnych kombinacji
syntezy mowy, braille'a i powiększania Orca pomaga w uzyskaniu dostępu
do aplikacji i toolkitów obsługujących AT-SPI (np. pochodzących ze
środowiska GNOME).

%prep
%setup -q

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README TODO
%attr(755,root,root) %{_bindir}/orca
%{_datadir}/orca
%{_desktopdir}/orca.desktop
%{_iconsdir}/hicolor/*/*/orca.*
%dir %{py_sitedir}/orca
%{py_sitedir}/orca/*.py[co]
%dir %{py_sitedir}/orca/backends
%{py_sitedir}/orca/backends/*.py[co]
%dir %{py_sitedir}/orca/scripts
%{py_sitedir}/orca/scripts/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps
%{py_sitedir}/orca/scripts/apps/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/Banshee
%{py_sitedir}/orca/scripts/apps/Banshee/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/Eclipse
%{py_sitedir}/orca/scripts/apps/Eclipse/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/Instantbird
%{py_sitedir}/orca/scripts/apps/Instantbird/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/Mozilla
%{py_sitedir}/orca/scripts/apps/Mozilla/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/Thunderbird
%{py_sitedir}/orca/scripts/apps/Thunderbird/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/acroread
%{py_sitedir}/orca/scripts/apps/acroread/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/ddu
%{py_sitedir}/orca/scripts/apps/ddu/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/ekiga
%{py_sitedir}/orca/scripts/apps/ekiga/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/empathy
%{py_sitedir}/orca/scripts/apps/empathy/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/evolution
%{py_sitedir}/orca/scripts/apps/evolution/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/gajim
%{py_sitedir}/orca/scripts/apps/gajim/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/gcalctool
%{py_sitedir}/orca/scripts/apps/gcalctool/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/gdm-simple-greeter
%{py_sitedir}/orca/scripts/apps/gdm-simple-greeter/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/gdmlogin
%{py_sitedir}/orca/scripts/apps/gdmlogin/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/gedit
%{py_sitedir}/orca/scripts/apps/gedit/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/gnome-keyring-ask
%{py_sitedir}/orca/scripts/apps/gnome-keyring-ask/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/gnome-mud
%{py_sitedir}/orca/scripts/apps/gnome-mud/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/gnome-panel
%{py_sitedir}/orca/scripts/apps/gnome-panel/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/gnome-screensaver-dialog
%{py_sitedir}/orca/scripts/apps/gnome-screensaver-dialog/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/gnome-search-tool
%{py_sitedir}/orca/scripts/apps/gnome-search-tool/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/gnome-system-monitor
%{py_sitedir}/orca/scripts/apps/gnome-system-monitor/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/gnome-terminal
%{py_sitedir}/orca/scripts/apps/gnome-terminal/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/gnome_segv2
%{py_sitedir}/orca/scripts/apps/gnome_segv2/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/gtk-window-decorator
%{py_sitedir}/orca/scripts/apps/gtk-window-decorator/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/gnome-window-properties
%{py_sitedir}/orca/scripts/apps/gnome-window-properties/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/liferea
%{py_sitedir}/orca/scripts/apps/liferea/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/metacity
%{py_sitedir}/orca/scripts/apps/metacity/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/nautilus
%{py_sitedir}/orca/scripts/apps/nautilus/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/notification-daemon
%{py_sitedir}/orca/scripts/apps/notification-daemon/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/notify-osd
%{py_sitedir}/orca/scripts/apps/notify-osd/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/packagemanager
%{py_sitedir}/orca/scripts/apps/packagemanager/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/pidgin
%{py_sitedir}/orca/scripts/apps/pidgin/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/planner
%{py_sitedir}/orca/scripts/apps/planner/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/rhythmbox
%{py_sitedir}/orca/scripts/apps/rhythmbox/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/soffice
%{py_sitedir}/orca/scripts/apps/soffice/*.py[co]
%dir %{py_sitedir}/orca/scripts/apps/xfwm4
%{py_sitedir}/orca/scripts/apps/xfwm4/*.py[co]
%dir %{py_sitedir}/orca/scripts/toolkits
%{py_sitedir}/orca/scripts/toolkits/*.py[co]
%dir %{py_sitedir}/orca/scripts/toolkits/CALLY
%{py_sitedir}/orca/scripts/toolkits/CALLY/*.py[co]
%dir %{py_sitedir}/orca/scripts/toolkits/Gecko
%{py_sitedir}/orca/scripts/toolkits/Gecko/*.py[co]
%dir %{py_sitedir}/orca/scripts/toolkits/J2SE-access-bridge
%{py_sitedir}/orca/scripts/toolkits/J2SE-access-bridge/*.py[co]
%dir %{py_sitedir}/orca/scripts/toolkits/WebKitGtk
%{py_sitedir}/orca/scripts/toolkits/WebKitGtk/*.py[co]
%{_mandir}/man1/orca.1*
%{_sysconfdir}/xdg/autostart/orca-autostart.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: orca.spec,v $
Revision 1.46  2012/05/25 15:49:35  qboosh
- fixed R typo, release 2

Revision 1.45  2012/05/17 11:12:45  kiesiu
- updated to 3.4.2
- use gtk+3 and pygobject3
- use *.xz sources

Revision 1.44  2012/02/13 11:40:49  lisu
- updated to 3.2.2

Revision 1.43  2011/09/04 19:29:13  kiesiu
- updated to 3.0.4

Revision 1.42  2011/05/24 15:40:29  megabajt
- updated to 3.0.2

Revision 1.41  2011/04/26 11:52:51  megabajt
- updated to 3.0.1

Revision 1.40  2011/04/10 21:18:34  megabajt
- updated to 3.0.0

Revision 1.39  2011/02/04 18:23:59  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.38  2010/11/24 11:49:21  hawk
- release 2

Revision 1.37  2010/07/29 12:01:22  baggins
- 2.30.2

Revision 1.36  2010/07/09 11:20:36  arekm
- release 3

Revision 1.35  2010/07/08 07:56:43  arekm
- release 2

Revision 1.34  2010/05/14 23:10:00  sparky
- BR: python-brlapi, python-dbus, python-gnome-desktop-libwnck, python-gnome-gconf

Revision 1.33  2010/05/12 08:35:48  megabajt
- updated to 2.30.1

Revision 1.32  2009/11/30 02:18:36  sparky
- BR: rpm-pythonprov

Revision 1.31  2009/07/02 15:07:30  megabajt
- updated to 2.26.3

Revision 1.30  2009/05/19 18:50:07  megabajt
- updated to 2.26.2

Revision 1.29  2009/05/14 09:36:48  megabajt
- updated to 2.26.1

Revision 1.28  2009/03/19 09:07:12  patrys
- 2.26.0

Revision 1.27  2009/03/13 23:03:08  megabajt
- use X11/Applications/Accessibility group

Revision 1.26  2009/03/02 09:12:14  patrys
- 2.24.4

Revision 1.25  2008/11/26 19:14:15  megabajt
- updated to 2.24.2

Revision 1.24  2008/10/19 14:11:16  megabajt
- updated to 2.24.1
- removed obsolete -desktop.patch

Revision 1.23  2008/10/08 18:42:00  arekm
- up to 2.24.0

Revision 1.22  2008/10/03 17:45:19  arekm
- release 2

Revision 1.21  2008-06-03 10:09:01  hawk
- updated to 2.22.2

Revision 1.20  2008-06-03 10:08:21  hawk
- reverted back to stable release 2.22.x, according to README version
  2.23.x doesn't work properly with Gnome 2.22.x

Revision 1.19  2008-05-30 16:38:05  twittner
- up to 2.23.2

Revision 1.18  2008-04-11 22:27:52  sls
- ver. 2.22.1

Revision 1.17  2008-03-10 20:14:06  qboosh
- python epoch, sanitized sed call

Revision 1.16  2008-03-10 18:00:37  twittner
- up to 2.22.0

Revision 1.15  2008-03-04 19:17:08  twittner
- up to 2.21.92

Revision 1.14  2008-02-15 19:48:10  twittner
- up to 2.21.91

Revision 1.13  2008-01-05 21:00:12  twittner
- added R: libgail-gnome

Revision 1.12  2008-01-04 21:55:10  twittner
- up to 2.21.4 (user request), works for me

Revision 1.11  2007-12-25 21:55:04  zbyniu
- up to 2.20.2

Revision 1.10  2007-11-10 22:54:39  megabajt
- sr@Latn -> sr@latin; release 2

Revision 1.9  2007/10/29 10:42:34  megabajt
- updated to 2.20.1

Revision 1.8  2007/10/08 14:43:10  baggins
- 2.20.0.1

Revision 1.7  2007/09/08 23:48:27  aflinta
- up to 2.19.92

Revision 1.6  2007/09/02 17:32:17  aflinta
- up to 2.19.91

Revision 1.5  2007/07/11 16:53:41  twittner
- fix desktop file
- NOTE about crashes

Revision 1.4  2007/07/10 19:57:23  twittner
- up to 2.19.5
- rel. 1 (dirty spec, but works)

Revision 1.3  2007/04/09 21:23:37  megabajt
- updated to 2.18.1

Revision 1.2  2007/03/31 09:37:44  qboosh
- pl

Revision 1.1  2007/03/16 20:20:46  megabajt
- new
